import vue from "rollup-plugin-vue";
import css from "rollup-plugin-css-only";
import { terser } from "rollup-plugin-terser";

export default [
  {
    input: "src/main.js",
    output: {
      format: "esm",
      file: "lib/index.js",
    },
    plugins: [
      css({ output: "index.css" }),
      vue({
        // Remove css
        css: false,
        // Convert component to render function
        compileTemplate: true,
      }),
      // Minify vue component
      terser(),
    ],
  },
];
